/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef TAAG_SCHEMA_XML_H_
#define TAAG_SCHEMA_XML_H_

#define TAAG_SCHEMA_ROOT			"schema"
#define TAAG_SCHEMA_ROOT_ATTR		"type"

#define TAAG_SCHEMA_APP_NAME		"executable"
#define TAAG_SCHEMA_DIRECTORY  		"defaultDir"

#define TAAG_SCHEMA_NR_PROCESSES	"nrOfProcesses"
#define TAAG_SCHEMA_MIN_SIZE_GRPS	"minSizeOfGroups"
#define TAAG_SCHEMA_DIVISOR			"divisor"

#define TAAG_SCHEMA_NR_LEVELS		"depth"

#define TAAG_SCHEMA_SIZE_GRP		"sizeOfGroup"
#define TAAG_SCHEMA_ATTR_GRP_ID		"groupId"
#define TAAG_SCHEMA_EDGE			"edge"
#define TAAG_SCHEMA_EDGE_ATTR_1		"oneEndPoint"
#define TAAG_SCHEMA_EDGE_ATTR_2		"otherEndPoint"

#endif /* TAAG_SCHEMA_XML_H_ */
